# libmikmod rpm specification file
%define lversion 3.1.9

Summary: A MOD music file player.
Name:		mikmod
Version:	3.1.6
Release: 20
Copyright:	LGPL
Group: Applications/Multimedia
URL:		http://mikmod.darkorb.net/
PreReq:		/sbin/install-info
Prefix:		/usr
Buildroot:	/var/tmp/mikmod-%{PACKAGE_VERSION}
BuildPrereq: ncurses-devel
Source0: http://mikmod.darkorb.net/mikmod/mikmod-%{PACKAGE_VERSION}.tar.gz
Source1: http://mikmod.darkorb.net/mikmod/libmikmod-%{lversion}.tar.gz
Patch1:  mikmod-strip.patch
Patch2:  libmikmod-esd.patch
Patch3:  libmikmod-64bit.patch
Patch5:  patch-mikmod-3.1.6-a
Obsoletes: tracker

%description
MikMod is one of the best and most well known MOD music file players
for UNIX-like systems.  This particular distribution is intended to
compile fairly painlessly in a Linux environment. MikMod uses the OSS
/dev/dsp driver including all recent kernels for output, and will also
write .wav files. Supported file formats include MOD, STM, S3M, MTM,
XM, ULT, and IT.  The player uses ncurses for console output and
supports transparent loading from gzip/pkzip/zoo archives and the
loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup -q -a 1 
%patch1 -p1 -b .strip
%patch2 -p1 -b .esd
%patch3 -p1
%patch5 -p1 -b .orig

%build
rm -rf $RPM_BUILD_ROOT
cd libmikmod-%{lversion}
cp /usr/share/libtool/config.{sub,guess} .
%configure
make
%makeinstall
cd ..

# Trick it into compiling while libmikmod is not installed...
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{prefix}/lib:$LD_LIBRARY_PATH
perl -pi -e "s,-lmikmod,-I$RPM_BUILD_ROOT%{prefix}/include -L$RPM_BUILD_ROOT%{_libdir} -lmikmod,g" libmikmod-3.1.9/libmikmod-config
export LIBMIKMOD_CONFIG=`pwd`/libmikmod-3.1.9/libmikmod-config
cp /usr/share/libtool/config.{sub,guess} .
%configure \
	--with-libmikmod-prefix=$RPM_BUILD_ROOT%{prefix} \
	--with-libmikmod-exec-prefix=$RPM_BUILD_ROOT%{prefix}/bin \
	--disable-libmikmodtest
make CFLAGS="$RPM_OPT_FLAGS `libmikmod-3.1.9/libmikmod-config --cflags` -I."

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/mikmod.info.gz %{_infodir}/dir
/sbin/ldconfig

%postun 
if [ $1 = 0 ] ; then
	/sbin/install-info  --delete %{_infodir}/mikmod.info.gz %{_infodir}/dir
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/mikmod*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/aclocal/*
%{_includedir}/*
%doc libmikmod-%{lversion}/PROBLEMS libmikmod-%{lversion}/TODO 

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Jeff Johnson <jbj@redhat.com> 3.1.6-19
- don't include -debuginfo files in package.

* Sat Nov 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add further lib64 support, clean up spec file

* Sat Oct 12 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add 64bit patch

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com>
- don't strip binaries
- fix buffering with esd output (#57154, <stssppnn@yahoo.com>)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- add buildprereq for ncurses-devel (#49524)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Dec  7 2000 Bill Nottingham <notting@redhat.com>
- fix %doc generation

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- FHS fixes, etc.

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses
- library 3.1.9
- fix build when libmikmod is not already installed

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip info page (Bug #9035)
- Update URL and Source fields to present location

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- get rid of useless defines

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update lib to 3.1.8

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

